
package interfazgrafica7;

import java.awt.Color;
import java.awt.EventQueue;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class InterfazGrafica7 extends JFrame {
      
    public InterfazGrafica7() {
        setSize(700,750);
        setTitle("Dibujo líneas rectángulos óvalos - Click ratón en inicio, soltar en final");
        ubicarComponentes();
        setVisible(true);
    }
    
    
    private void ubicarComponentes() {

        setLayout(null);
        
        Componentes componentes = new Componentes();
        GestorEventos gestorEventos = new GestorEventos(componentes);
        componentes.setGestorEventos(gestorEventos);
        addWindowListener(gestorEventos);        // REGISTRO DE ESCUCHA DE EVENTOS DE VENTANA
                      
        AreaDibujo areaDibujo = new AreaDibujo(componentes);
        componentes.setAreaDibujo(areaDibujo);
        componentes.getAreaDibujo().setBounds(15, 50, 650, 395);
        componentes.getAreaDibujo().setBackground(Color.green);
        componentes.getAreaDibujo().addMouseListener(gestorEventos);         // REGISTRO DE ESCUCHA DE EVENTOS DE RATON
        componentes.getAreaDibujo().addMouseMotionListener(gestorEventos);   // REGISTRO DE ESCUCHA DE EVENTO MOVIMIENTO DE RATON         
        this.getContentPane().add(componentes.getAreaDibujo());
                
                   // CONFIGURACIÓN JLabel jLabelVisualizaPosicionRaton
        componentes.setjLabelVisualizaPosicionRaton(new JLabel("Posicion raton: "));
        componentes.getjLabelVisualizaPosicionRaton().setBounds(50,10,400,20);
        add(componentes.getjLabelVisualizaPosicionRaton());  
        
        JPanel jPanelSeleccionFiguras = new PanelJToggleButton(componentes);   //  SELECCION DE FIGURAS MEDIANTE JToggleButton
        // JPanel jPanelSeleccionFiguras = new PanelJRadioButton(componentes);    //  SELECCION DE FIGURAS MEDIANTE JRadioButton
        // JPanel jPanelSeleccionFiguras = new PanelJCheckBox(componentes);          //  SELECCION DE FIGURAS MEDIANTE JCheckBox
        jPanelSeleccionFiguras.setBounds(15, 450, 650, 395);
        add(jPanelSeleccionFiguras);
    }
    
    
    public static void main(String[] args) {
        EventQueue.invokeLater(new Runnable() {
              @Override
              public void run() {
                 new InterfazGrafica7();
              }
           });          
    }       
}
